%define oname   QComicBook

Name:		qcomicbook
Version:	0.9.1
Release:	%mkrel 1
Summary:	Comic book archive viewer
Group:		File tools
License:	GPLv2+
URL:		https://github.com/stolowski/QComicBook
Source0:	https://github.com/stolowski/QComicBook/archive/%{version}/%{oname}-%{version}.tar.xz
#------------------------------------------
BuildRequires: cmake
BuildRequires: qttools5
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64poppler-qt5-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64imlib2-devel
#------------------------------------------
Requires:	unzip
Requires:	unrar
Requires:	p7zip


%description
QComicBook is a viewer for comic book archives containing jpeg/png
images, which aims at convenience and simplicity. Features include:

    * automatic handling of archives
    * full-screen mode
    * two-pages mode and japanese mode
    * thumbnails view
    * page scaling (fit to window witdth/height, whole page)
    * mouse or keyboard navigation, whatever you prefer
    * bookmarks
    * and more...

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_qt5
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files
%doc AUTHORS README ChangeLog COPYING THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*

%post
%update_menus

%postun
%clean_menus

%changelog
* Sat Jun 03 2017 bb2 <bb2> - 0.9.1-1pclos2017
- new version
